Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231174 - Review Request: nrg2iso - Convert Nero Burning Rom image files into ISO
Summary: Review Request: nrg2iso - Convert Nero Burning Rom image files into ISO
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-06 17:02 UTC by Sindre Pedersen Bjørdal
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-14 16:26:15 UTC
wolfy: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)
patch which makes Makefile honor $RPM_OPT_FLAGS (deleted)
2007-03-06 21:50 UTC, manuel wolfshant
no flags Details | Diff
spec file patch (deleted)
2007-03-06 21:52 UTC, manuel wolfshant
no flags Details | Diff

Description Sindre Pedersen Bjørdal 2007-03-06 17:02:36 UTC
Spec URL: http://folk.ntnu.no/sindrb/packages/nrg2iso.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/nrg2iso-0.4-1.src.rpm

Description:

Nrg2Iso is a linux utiity for converting CD (or DVD) image generated by
Nero Burning Rom to ISO format.

Comment 1 manuel wolfshant 2007-03-06 21:48:49 UTC
The version you have submitted ignores $RPM_OPT_FLAGS. Please find attached two
patches which fix that.

Comment 2 manuel wolfshant 2007-03-06 21:50:06 UTC
Created attachment 149392 [details]
patch which makes Makefile honor $RPM_OPT_FLAGS

Comment 3 manuel wolfshant 2007-03-06 21:52:38 UTC
Created attachment 149393 [details]
spec file patch

fixes a typo and adds $RPM_OPT_FLAGS into equation

Comment 4 Sindre Pedersen Bjørdal 2007-03-06 23:25:57 UTC
Updated

Spec URL: http://folk.ntnu.no/sindrb/packages/nrg2iso.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/nrg2iso-0.4-2.src.rpm

Comment 5 manuel wolfshant 2007-03-07 00:36:31 UTC
GOOD
- rpmlint is silent on source and binary rpm
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL ) OK, text in %doc (as gpl.txt), matches source
- spec file legible, in am. english
- source matches upstream, is latest version, sha1sum
26dfa9b489c9165dbc578ef3fddf6e491349df12  nrg2iso-0.4.tar.gz
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all files/directories that it creates, does not take ownership of foreign
files/directories
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs (no docs at all but the GPL license and a very very short
Changelog)
- nothing in %doc affects runtime
- not a GUI so no need for .desktop file
- no libtool,pkgconfig,static files
- no scriptlets
- no need for separate -devel

SHOULD
- builds fine in mock for Centos-4/x86, Fedora 6 and devel/x86
- runs OK in Centos 4 and FC6

Package APPROVED



Comment 6 Sindre Pedersen Bjørdal 2007-03-07 00:39:15 UTC
New Package CVS Request
=======================
Package Name: nrg2iso
Short Description: Convert Nero Burning Rom image files into ISO
Owners: foolish@guezz.net
Branches: FC-5 FC-6
InitialCC: 

Comment 7 manuel wolfshant 2007-03-07 00:40:30 UTC
Sindre, I suggest asking for a branch for EPEL-4, too, if you feel like
maintaining it over there. If this a problem for you, I will be glad to take it
over (or co-maintain it with you) for EPEL.

Comment 8 Sindre Pedersen Bjørdal 2007-03-07 08:24:00 UTC
Sure I can maintain it for EPEL-4: Updated CVS Request: 

New Package CVS Request
=======================
Package Name: nrg2iso
Short Description: Convert Nero Burning Rom image files into ISO
Owners: foolish@guezz.net
Branches: FC-5 FC-6 EPEL-4
InitialCC: 


Note You need to log in before you can comment on or make changes to this bug.